## texstudio 4.8.9+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)

project(TeXstudio VERSION 4.8.9 LANGUAGES C CXX)
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_DEBUG_POSTFIX "d")
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

option(TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER "Enable/Disable internal crash handler" OFF)
if(${TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER})
	message(STATUS "Use c++23 crash handler.")
	set(CMAKE_CXX_STANDARD 23)
	set(CMAKE_CXX_STANDARD_REQUIRED ON)
	set(CMAKE_CXX_EXTENSIONS OFF)
	set(CMAKE_CXX_FLAGS "-g1 -O2 -Wall -Wextra")
else()
    if(APPLE)
    set(CMAKE_CXX_STANDARD 20)
    else()
    set(CMAKE_CXX_STANDARD 20)
    endif()
endif()




list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(GitInfo)
if(GIT_FOUND AND EXISTS "${PROJECT_SOURCE_DIR}/.git")
	git_wc_info(${PROJECT_SOURCE_DIR} VARPREFIX)
	add_definitions(-DTEXSTUDIO_VERSION="${VARPREFIX_WC_LATEST_TAG_LONG}")
	message(STATUS "The current git hash is ${VARPREFIX_WC_REVISION_HASH}")
	message(STATUS "The current git describe is ${VARPREFIX_WC_LATEST_TAG_LONG}")
else()
	add_definitions(-DTEXSTUDIO_VERSION="${CMAKE_PROJECT_VERSION}")
	message(STATUS "No git present.")
    unset(GIT_FOUND)
	set(VARPREFIX_WC_LATEST_TAG_LONG "${CMAKE_PROJECT_VERSION}+0+0")
endif()
include(cmake/project_version.cmake)
include(GNUInstallDirs)

if(MSVC)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_CRT_SECURE_NO_WARNINGS -D_UNICODE -DUNICODE)
	add_compile_options(/wd4267 /wd4244)
	add_compile_options($<$<CXX_COMPILER_ID:MSVC>:/MP>)
else()
	add_compile_options(-Wno-deprecated-declarations)
endif()

if(WIN32 AND NOT MSVC)
        add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-fpermissive>)
        #add_compile_options(-Wa,-mbig-obj)
endif()

find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network Xml Concurrent Widgets UiTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS PrintSupport Svg Qml REQUIRED)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS LinguistTools QUIET)
endif()

message(STATUS "building for Qt ${QT_VERSION_MAJOR}")

# Source
add_subdirectory(src)

# qtsingleapplication
add_subdirectory(src/qtsingleapplication)

# main
set(RESOURCE_FILES 
	texstudio.qrc
	symbols.qrc
	completion.qrc
	images.qrc
)
if(APPLE)
    file(GLOB manual
        utilities/manual/build/html/*.html
    )
    set(manual ${manual} utilities/manual/build/html/searchindex.js)
    file(GLOB images
        utilities/manual/build/html/_images/*.webp
    )
    file(GLOB static
        utilities/manual/build/html/_static/*
    )
    file(GLOB static_scripts
        utilities/manual/build/html/_static/scripts/*
    )
    file(GLOB static_styles
        utilities/manual/build/html/_static/styles/*
    )
    file(GLOB design_static
        utilities/manual/build/html/_sphinx_design_static/*
    )
    file(GLOB_RECURSE templates
       templates/*
    )
    file(GLOB_RECURSE translation
       translation/*.qm
    )
    file(GLOB_RECURSE dictionaries
       utilities/dictionaries/*
    )

    set(OSX_FILES
        texstudio.icns
        utilities/latex2e.html
        utilities/latex2e.css
		utilities/list.png
		utilities/manual/source/CHANGELOG.md
        ${templates}
        ${dictionaries}
        ${translation}
    )
else()
    set(OSX_FILES "")
endif()

set(TRANSLATION_FILES
	translation/texstudio_en.ts
)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
	if(${QT_VERSION_MINOR} LESS_EQUAL 6)
		message(STATUS "Generate translation source option.")
		qt6_add_lupdate(texstudio TS_FILES ${TRANSLATION_FILES})
	endif()
	if(${QT_VERSION_MINOR} GREATER_EQUAL 7)
                message(STATUS "Generate translation source option. (>= Qt6.7)")
                qt6_add_translations(texstudio TS_FILES ${TRANSLATION_FILES})
	endif()
endif()

if(WIN32)
	set(SOURCE_FILES ${SOURCE_FILES} win.rc)
endif()
if(UNIX AND NOT APPLE AND NOT HAIKU)
	add_subdirectory(src/xkb)
endif()

# Hunspell
find_package(Hunspell QUIET)
if(Hunspell_FOUND)
	message(STATUS "Using system Hunspell")
	set(HUNSPELL_SOURCE_LINK 0)
	get_filename_component(HUNSPELL_LIB_NAME ${HUNSPELL_LIBRARIES} NAME)
	string(FIND ${HUNSPELL_LIB_NAME} "static" HUNSPELL_IS_STATIC_POS)
	if(${HUNSPELL_IS_STATIC_POS} GREATER 0)
		set(HUNSPELL_SOURCE_LINK 1)
	endif()
	if(${HUNSPELL_SOURCE_LINK} GREATER 0)
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" ON)
	else()
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" OFF)
	endif()
else()
	message(STATUS "Using internal Hunspell")
	add_subdirectory(src/hunspell)
	set(HUNSPELL_SOURCE_LINK 2)
	set(HUNSPELL_IS_STATIC ON)
endif()
if(${HUNSPELL_IS_STATIC})
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DHUNSPELL_STATIC)
endif()

# qcodeedit
add_subdirectory(src/qcodeedit)

# debughelper
add_subdirectory(src/debug)

# latexparser
add_subdirectory(src/latexparser)

# symbolpanel
add_subdirectory(src/symbolpanel)

#qtermwidget
if(${QT_VERSION_MAJOR} LESS_EQUAL 5)
    find_package(QTermWidget QUIET)
    if(QTermWidget_FOUND)
        message(STATUS "Using QTermWidget5")
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DINTERNAL_TERMINAL)
    endif()
endif()

# QuaZIP
find_package(QuaZip-Qt${QT_VERSION_MAJOR} QUIET)
if(QuaZip-Qt${QT_VERSION_MAJOR}_FOUND)
	message(STATUS "quazip 1.x found")
else()
	find_package(QuaZip QUIET)
	if(QUAZIP_FOUND)
		message(STATUS "Using system QuaZIP")
		set(QUAZIP_SOURCE_LINK 0)
		get_filename_component(QUAZIP_LIB_NAME ${QUAZIP_LIBRARIES} NAME)
		string(FIND ${QUAZIP_LIB_NAME} "static" QUAZIP_IS_STATIC_POS)
		if(${QUAZIP_IS_STATIC_POS} GREATER 0)
			set(QUAZIP_SOURCE_LINK 1)
		endif()
		if(${QUAZIP_SOURCE_LINK} GREATER 0)
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" ON)
		else()
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" OFF)
		endif()
	else()
                message(STATUS "Using internal QuaZIP and internal zlib")
                if(WIN32)
                    set(ZLIB_BUILD_EXAMPLES OFF)
                    set(SKIP_INSTALL_LIBRARIES ON)
                    add_subdirectory(src/zlib-1.3.1)
                    set(ZLIB_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1)
                    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
                        set(ZLIB_LIBRARY ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1/libzlibd.dll)
                    else()
                        set(ZLIB_LIBRARY ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1/libzlib.dll)
                    endif()
                endif()
		set(BUILD_SHARED_LIBS OFF)
  		set(QUAZIP_INSTALL OFF)
                set(QUAZIP_USE_QT_ZLIB OFF)
                set(QUAZIP_ENABLE_TESTS OFF)
		set(QUAZIP_BZIP2 OFF)
		set(QUAZIP_IS_STATIC ON)
		set(QUAZIP_SOURCE_LINK 2)
		add_subdirectory(src/quazip)
	endif()
	if(${QUAZIP_IS_STATIC})
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DQUAZIP_STATIC)
	endif()
endif()

# Options
if(NOT MSVC)
	option(TEXSTUDIO_ENABLE_CRASH_HANDLER "Enable/Disable internal crash handler" ON)
	if(${TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER})
	    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DCPP_CRASH_HANDLER)
	    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
	else()
	    if(NOT ${TEXSTUDIO_ENABLE_CRASH_HANDLER})
		message(STATUS "Internal crash handler disabled as you wish.")
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
	    endif()
	endif()
else()
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
endif()

option(TEXSTUDIO_BUILD_ADWAITA "Enable/Disable internal adwaita-qt style" ON)
if(TEXSTUDIO_BUILD_ADWAITA)
    find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DADWAITA)
    message(STATUS "integrate adwaita style")
endif()
add_subdirectory(src/adwaita-qt)

option(TEXSTUDIO_ENABLE_TESTS "Enable/Disable internal tests" OFF)
if(${TEXSTUDIO_ENABLE_TESTS})
	message(STATUS "tests enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Test REQUIRED)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DTESTDATADIR="${CMAKE_CURRENT_SOURCE_DIR}/src/tests/testdata")
	set(HEADER_FILES ${HEADER_FILES}
		src/tests/buildmanager_t.h
		src/tests/codesnippet_t.h
		src/tests/encoding_t.h
		src/tests/execprogram_t.h
		src/tests/git_t.h
		src/tests/help_t.h
		src/tests/latexcompleter_t.h
		src/tests/latexdocument_t.h
		src/tests/latexeditorview_bm.h
		src/tests/latexeditorview_t.h
		src/tests/latexoutputfilter_t.h
		src/tests/latexparser_t.h
		src/tests/latexparsing_t.h
		src/tests/latexstyleparser_t.h
		src/tests/qcetestutil.h
		src/tests/qdocumentcursor_t.h
		src/tests/qdocumentline_t.h
		src/tests/qdocumentsearch_t.h
		src/tests/qeditor_t.h
		src/tests/qsearchreplacepanel_t.h
		src/tests/scriptengine_t.h
		src/tests/smallUsefulFunctions_t.h
		src/tests/structureview_t.h
		src/tests/syntaxcheck_t.h
		src/tests/tablemanipulation_t.h
		src/tests/testmanager.h
		src/tests/testutil.h
                src/tests/texstudio_t.h
		src/tests/updatechecker_t.h
		src/tests/usermacro_t.h
		src/tests/utilsui_t.h
		src/tests/utilsversion_t.h
	)
	set(SOURCE_FILES ${SOURCE_FILES}
		src/tests/codesnippet_t.cpp
		src/tests/encoding_t.cpp
		src/tests/execprogram_t.cpp
		src/tests/git_t.cpp
		src/tests/latexcompleter_t.cpp
		src/tests/latexdocument_t.cpp
		src/tests/latexeditorview_bm.cpp
		src/tests/latexeditorview_t.cpp
		src/tests/latexoutputfilter_t.cpp
		src/tests/latexparser_t.cpp
		src/tests/latexparsing_t.cpp
		src/tests/latexstyleparser_t.cpp
		src/tests/qcetestutil.cpp
		src/tests/qdocumentcursor_t.cpp
		src/tests/qdocumentline_t.cpp
		src/tests/qdocumentsearch_t.cpp
		src/tests/qeditor_t.cpp
		src/tests/qsearchreplacepanel_t.cpp
		src/tests/scriptengine_t.cpp
		src/tests/smallUsefulFunctions_t.cpp
		src/tests/structureview_t.cpp
		src/tests/syntaxcheck_t.cpp
		src/tests/tablemanipulation_t.cpp
		src/tests/testmanager.cpp
		src/tests/testutil.cpp
                src/tests/texstudio_t.cpp
		src/tests/usermacro_t.cpp
	)
else()
	message(STATUS "tests disabled.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_TESTS)
endif()

option(TEXSTUDIO_ENABLE_MEDIAPLAYER "Enable/Disable the video player in pdf files" OFF)
if(${TEXSTUDIO_ENABLE_MEDIAPLAYER})
	message(STATUS "the video player in pdf files is enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia MultimediaWidgets REQUIRED)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DMEDIAPLAYER)
else()
	message(STATUS "the video player in pdf files is disabled.")
endif()

option(TEXSTUDIO_ENABLE_DEBUG_LOGGER "Enable/Disable debug logger" OFF)
if(${TEXSTUDIO_ENABLE_DEBUG_LOGGER})
	message(STATUS "Debug logger is built.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DDEBUG_LOGGER)
endif()

# poppler

find_package(PkgConfig)
pkg_check_modules(POPPLER QUIET IMPORTED_TARGET poppler poppler-cpp poppler-qt${QT_VERSION_MAJOR})
if(POPPLER_FOUND)
    message(STATUS "Build internal pdf previewer.")
else()
    message(STATUS "Poppler not found, internal pdf previewer disabled.")
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_POPPLER_PREVIEW)
    if(WIN32)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_WIN32)
    endif()
endif()
add_subdirectory(src/pdfviewer)

# set prefix path on unix
if(UNIX)
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DPREFIX="${CMAKE_INSTALL_PREFIX}")
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DCMAKE_INSTALL_DATADIR="${CMAKE_INSTALL_DATADIR}")
endif()

# Build texstudio application
add_executable(texstudio ${SOURCE_FILES} ${HEADER_FILES} ${RESOURCE_FILES} ${FORM_FILES} ${OSX_FILES} ${manual} ${images} ${static} ${static_scripts} ${static_styles} ${design_static}
)
target_link_libraries(texstudio PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui

=== src/pdfviewer/CMakeLists.txt ===
set(INC_DIRECTORIES
	${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/synctex
	PARENT_SCOPE
)
set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/PDFDocument_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/PDFDocument.h
)
if(POPPLER_FOUND)
    set(HEADER_FILES ${HEADER_FILES}
        ${CMAKE_CURRENT_SOURCE_DIR}/synctex/synctex_parser.h
        ${CMAKE_CURRENT_SOURCE_DIR}/synctex/synctex_parser_utils.h
        ${CMAKE_CURRENT_SOURCE_DIR}/synctex/synctex_parser_advanced.h
        ${CMAKE_CURRENT_SOURCE_DIR}/synctex/synctex_version.h
        ${CMAKE_CURRENT_SOURCE_DIR}/PDFDocks.h
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfrenderengine.h
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfrendermanager.h
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfannotationdlg.h
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfannotation.h
        ${CMAKE_CURRENT_SOURCE_DIR}/qsynctex.h
        PARENT_SCOPE
    )

    set(SOURCE_FILES ${SOURCE_FILES}
        ${CMAKE_CURRENT_SOURCE_DIR}/synctex/synctex_parser.c
        ${CMAKE_CURRENT_SOURCE_DIR}/synctex/synctex_parser_utils.c
        ${CMAKE_CURRENT_SOURCE_DIR}/PDFDocument.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/PDFDocks.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfrenderengine.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfrendermanager.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfannotationdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfannotation.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/qsynctex.cpp
        PARENT_SCOPE
    )

    set(FORM_FILES ${FORM_FILES}
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfannotationdlg.ui
        PARENT_SCOPE
    )
endif()

=== src/qtsingleapplication/CMakeLists.txt ===
set(INC_DIRECTORIES
	${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)

set(HEADER_FILES ${HEADER_FILES}
	${CMAKE_CURRENT_SOURCE_DIR}/qtsingleapplication.h
	${CMAKE_CURRENT_SOURCE_DIR}/qtlocalpeer.h
	PARENT_SCOPE
)

set(SOURCE_FILES ${SOURCE_FILES}
	${CMAKE_CURRENT_SOURCE_DIR}/qtsingleapplication.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/qtlocalpeer.cpp
    PARENT_SCOPE
)

=== src/symbolpanel/CMakeLists.txt ===
set(INC_DIRECTORIES
	${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/proxymodels.h
    ${CMAKE_CURRENT_SOURCE_DIR}/symbollistmodel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/symbollistview.h
    ${CMAKE_CURRENT_SOURCE_DIR}/symbolwidget.h
	PARENT_SCOPE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/proxymodels.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/symbollistmodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/symbollistview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/symbolwidget.cpp
    PARENT_SCOPE
)

=== debian/changelog ===
texstudio (4.8.9+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.9+ds.
  * Updating from adwaita-qt to adwaita-qt6.
  * Replacing dependency on libqt6svg6 by qt6-svg-plugins to ensure icons
    are displayed even if recommends are not installed.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Thu, 06 Nov 2025 16:55:57 +0100

=== debian/control ===
Source: texstudio
Section: editors
Priority: optional
Maintainer: Tom Jampen <tom@cryptography.ch>
Build-Depends:
 cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
 libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt6-dev,
 libquazip1-qt6-dev, libqtermwidget-dev, libxkbcommon-dev, pkgconf,
 python3-myst-parser, python3-sphinx, python3-sphinx-design,
 python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qt6-base-dev,
 qt6-declarative-dev, qt6-l10n-tools, qt6-multimedia-dev, qt6-svg-dev,
 qt6-tools-dev, zlib1g-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://texstudio.org/

Package: texstudio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, qt6-svg-plugins
Recommends:
 adwaita-qt6, texlive-base, texlive-latex-base, texlive-latex-recommended,
 texstudio-doc, texstudio-l10n
Suggests:
 hunspell-dictionary, mythes-thesaurus, texlive-fonts-recommended,
 texlive-latex-extra
Description: fully featured LaTeX editor
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking

Package: texstudio-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, furo, python3-sphinx-inline-tabs
Replaces: texstudio (<< 2.7.0+debian-2)
Breaks: texstudio (<< 2.7.0+debian-2)
Built-Using: ${sphinxdoc:Built-Using}, ${built:Using}
Description: fully featured LaTeX editor (doc)
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking
 .
 This package contains the html documentation and the LaTeX templates.

Package: texstudio-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}, texstudio (>= ${source:Version})
Replaces: texstudio (<< 2.7.0+debian-2)
Breaks: texstudio (<< 2.7.0+debian-2)
Description: fully featured LaTeX editor (localization)
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking
 .
 This package contains the following translations: ar, br, ca, cs, de, de_CH,
 el, es, fa, fr, gsw, hu, id_ID, ie, it, ja, ko, ko_KR, nb_NO, nl, pl, pt,
 pt_BR, ru, ru_RU, si, sk, sv, sq, tr_TR, ug, uk, vi, zh_CN.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_VERSION

%:
	dh ${@} --with sphinxdoc

override_dh_sphinxdoc:
	dh_sphinxdoc -X.md.txt -X.rst.txt

override_dh_auto_build:
	/usr/lib/qt6/bin/lrelease translation/*.ts
	dh_auto_build
	cd utilities/manual && SPHINXBUILD=/usr/bin/sphinx-build make html

override_dh_auto_configure:
	dh_auto_configure -- -DTEXSTUDIO_ENABLE_CRASH_HANDLER=OFF \
	-DTEXSTUDIO_ENABLE_MEDIAPLAYER=ON

override_dh_auto_install:
	dh_auto_install

	# moving and renaming icons
	for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 ; do \
		mkdir -p debian/tmp/usr/share/icons/hicolor/$$SIZE/apps ; \
		mv -f utilities/texstudio$$SIZE.png \
		debian/tmp/usr/share/icons/hicolor/$$SIZE/apps/texstudio.png ; \
	done

	# renaming metainfo file
	mv -f debian/tmp/usr/share/metainfo/texstudio.metainfo.xml \
	debian/tmp/usr/share/metainfo/org.texstudio.TeXstudio.metainfo.xml

	# removing useless files
	rm -f debian/tmp/usr/share/doc/texstudio/CHANGELOG.md
	rm -f debian/tmp/usr/share/doc/texstudio/COPYING
	rm -f debian/tmp/usr/share/doc/texstudio/AUTHORS

	# removing static files included in Debian package furo
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/scripts/*.js
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/styles/*.css

	# removing static files included in Debian package python3-sphinx-inline-tabs
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/tabs.*

	# removing static files not used in the documentation
	rm -rf debian/tmp/usr/share/doc/texstudio/_sphinx_design_static
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/basic.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/debug.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/skeleton.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/file.png
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/minus.png
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/plus.png

	# removing useless empty directory
	rm -rf debian/tmp/usr/share/doc/texstudio/_sources

override_dh_gencontrol:
	dh_gencontrol -- -Vbuilt:Using="$(shell dpkg-query \
	-f '$${source:Package} (= $${source:Version}), ' \
	-W python3-sphinx-design python3-pygments)"

override_dh_installchangelogs:
	dh_installchangelogs utilities/manual/source/CHANGELOG.md

## texstudio 4.9.0

=== debian/changelog ===
texstudio (4.9.0-2+5.1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 07 Nov 2025 14:48:17 +0000

texstudio (4.9.0-53) unstable; urgency=low

  * update to git rev.  4.9.0rc1-6-g15d42e089

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Nov 2025 15:46:25 +0100

texstudio (4.9.0-52) unstable; urgency=low

  * update to git rev.  4.9.0rc1-5-g5cf2761ac

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Nov 2025 15:44:56 +0100

texstudio (4.9.0-51) unstable; urgency=low

  * update to git rev.  4.9.0rc1-3-gc2be4f8d5

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 04 Nov 2025 19:45:57 +0100

texstudio (4.9.0-50) unstable; urgency=low

  * update to git rev.  4.9.0beta2-73-g0040fcd7f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 11 Oct 2025 12:59:33 +0200

texstudio (4.9.0-49) unstable; urgency=low

  * update to git rev.  4.9.0beta2

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 30 Sep 2025 11:20:41 +0200

texstudio (4.9.0-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.9.0-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.9.0-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.9.0-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.9.0-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.9.0-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.9.0-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.9.0-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.9.0-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.9.0-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.9.0+ds

=== debian/changelog ===
texstudio (4.9.0+ds-1) unstable; urgency=medium

  * Merging upstream version 4.9.0+ds.
  * Removing Priority field in control file, no longer needed for priority
    'optional'.
  * Updating to standards version 4.7.3.
  * Regenerating disable-auto-update.patch.
  * Changing install file to relative destination path.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sat, 17 Jan 2026 10:19:59 +0100

## texstudio 4.9.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.10.0)
 
-project(TeXstudio VERSION 4.8.9 LANGUAGES C CXX)
+project(TeXstudio VERSION 4.9.1 LANGUAGES C CXX)
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 set(CMAKE_DEBUG_POSTFIX "d")
 set(CMAKE_AUTOMOC ON)
@@ -23,8 +23,9 @@
     endif()
 endif()
 
-
-
+if(MINGW)
+  add_compile_options(-Wa,-mbig-obj)
+endif()
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -372,5 +373,3 @@
 add_executable(texstudio ${SOURCE_FILES} ${HEADER_FILES} ${RESOURCE_FILES} ${FORM_FILES} ${OSX_FILES} ${manual} ${images} ${static} ${static_scripts} ${static_styles} ${design_static}
 )
 target_link_libraries(texstudio PRIVATE
-    Qt${QT_VERSION_MAJOR}::Core
-    Qt${QT_VERSION_MAJOR}::Gui

=== debian/changelog ===
texstudio (4.9.1+ds-1) unstable; urgency=medium

  * Merging upstream version 4.9.1+ds.
  * Updating excluded files in copyright file.
  * Updating year in copyright file.
  * Regenerating adwaita-qt.patch.
  * Regenerating qtermwidget6.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused _codeql_detected_source_root symlink
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sun, 18 Jan 2026 12:22:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: texstudio
 Section: editors
-Priority: optional
 Maintainer: Tom Jampen <tom@cryptography.ch>
 Build-Depends:
  cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
@@ -10,7 +9,7 @@
  python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qt6-base-dev,
  qt6-declarative-dev, qt6-l10n-tools, qt6-multimedia-dev, qt6-svg-dev,
  qt6-tools-dev, zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://texstudio.org/
